Bug 1120241 - rebuild needed because of armadillo-4.320.0-1.el6 update
Summary: rebuild needed because of armadillo-4.320.0-1.el6 update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mlpack
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ryan Curtin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 14:02 UTC by Tuomo Soini
Modified: 2014-09-02 03:55 UTC (History)
3 users (show)

Fixed In Version: mlpack-1.0.8-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 03:55:54 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2014-07-16 14:02:56 UTC
Description of problem:

package: mlpack-1.0.8-1.el6.i686 from epel
  unresolved deps: 
     libarmadillo.so.3
package: mlpack-1.0.8-1.el6.x86_64 from epel
  unresolved deps: 
     libarmadillo.so.3()(64bit)
package: mlpack-bin-1.0.8-1.el6.x86_64 from epel
  unresolved deps: 
     libarmadillo.so.3()(64bit)

epel-testing has armadillo-4.320.0-1.el6 update which breaks mlpack

Comment 1 Fedora Update System 2014-07-16 14:37:32 UTC
mlpack-1.0.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mlpack-1.0.8-2.el6

Comment 2 Fedora Update System 2014-07-19 18:38:03 UTC
Package mlpack-1.0.8-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mlpack-1.0.8-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1915/mlpack-1.0.8-2.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-08-07 11:47:18 UTC
mlpack-1.0.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Peter van Hooft 2014-08-08 06:15:54 UTC
Doesn't work:
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mlpack.x86_64 0:1.0.8-2.el6 will be installed
--> Processing Dependency: libarmadillo.so.3()(64bit) for package: mlpack-1.0.8-2.el6.x86_64
--> Finished Dependency Resolution
Error: Package: mlpack-1.0.8-2.el6.x86_64 (epel)
           Requires: libarmadillo.so.3()(64bit)
 You could try using --skip-broken to work around the problem

Comment 5 Ryan Curtin 2014-08-13 19:31:38 UTC
Hello Peter,

Sorry for the error.  I think I understand what I did wrong.  I am rebuilding the package now...

Thanks,

Ryan

Comment 6 Fedora Update System 2014-08-13 20:09:13 UTC
mlpack-1.0.8-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mlpack-1.0.8-5.el6

Comment 7 Fedora Update System 2014-08-15 18:58:36 UTC
Package mlpack-1.0.8-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mlpack-1.0.8-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2205/mlpack-1.0.8-5.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-09-02 03:55:54 UTC
mlpack-1.0.8-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.